cURL
curl --request GET \
--url https://api.yoshi.ai/v1/paper-trading/accounts/{accountId}/holdings \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
holdings = client.paper_trading.accounts.holdings.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(holdings.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const holdings = await client.paperTrading.accounts.holdings.list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(holdings.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
holdings, err := client.PaperTrading.Accounts.Holdings.List(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", holdings.Data)
}
yoshi paper-trading:accounts:holdings list \
--api-key 'My API Key' \
--account-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e{
"data": {
"holdings": [
{
"id": "<string>",
"security_id": "<string>",
"symbol": "<string>",
"name": "<string>",
"security_type": "<string>",
"quantity": 123,
"cost_basis": 123,
"institution_price": 123,
"institution_value": 123,
"as_of": "<string>"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Paper Trading
Get holdings
Get current holdings/positions for a Test Drive account.
GET
/
paper-trading
/
accounts
/
{accountId}
/
holdings
cURL
curl --request GET \
--url https://api.yoshi.ai/v1/paper-trading/accounts/{accountId}/holdings \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
holdings = client.paper_trading.accounts.holdings.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(holdings.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const holdings = await client.paperTrading.accounts.holdings.list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(holdings.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
holdings, err := client.PaperTrading.Accounts.Holdings.List(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", holdings.Data)
}
yoshi paper-trading:accounts:holdings list \
--api-key 'My API Key' \
--account-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e{
"data": {
"holdings": [
{
"id": "<string>",
"security_id": "<string>",
"symbol": "<string>",
"name": "<string>",
"security_type": "<string>",
"quantity": 123,
"cost_basis": 123,
"institution_price": 123,
"institution_value": 123,
"as_of": "<string>"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Authorizations
A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token issued by Sign in with Yoshi.
Path Parameters
Response
Holdings retrieved.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Last modified on June 18, 2026
Was this page helpful?